from dopt_sensor_anomalies import detection


def sensor_anomalies_detection(
    user_img_path: str,
    pixels_per_metric_X: float,
    pixels_per_metric_Y: float,
) -> None:
    res = detection.pipeline(
        user_img_path=user_img_path,
        pixels_per_metric_X=pixels_per_metric_X,
        pixels_per_metric_Y=pixels_per_metric_Y,
    )
    res.unwrap()
